<!-- side modal -->
<app-side-modal (closeClick)="onCancelClicked()">
  <!-- side user info -->
  <app-side-user-info [user]="user"></app-side-user-info>

  <!-- content -->
  <div class="app-content">
    <!-- switch view -->
    <ng-container [ngSwitch]="view">
      <!-- default -->
      <ng-container *ngSwitchCase="'default'">
        <!-- edit user profile default view -->
        <app-edit-user-profile
          (cancelClick)="onCancelClicked()"
          (changeEmailClick)="onEmailClicked()"
          (doneClick)="onDoneClicked()"
          (toolkitConfigurationClick)="onToolkitClicked()"
          [user]="user"
        ></app-edit-user-profile>
      </ng-container>

      <!-- email -->
      <ng-container *ngSwitchCase="'email'">
        <!-- email edit view -->
        <app-change-email-id
          (emailSubmit)="onEmailSubmitted($event)"
          (cancelClick)="toDefaultView()"
          [user]="user"
        ></app-change-email-id>
      </ng-container>

      <!-- toolkit -->
      <ng-container *ngSwitchCase="'toolkit'">
        <!-- toolkit edit view -->
        <app-toolkit-configuration
          (doneClick)="onDoneClicked()"
          (cancelClick)="toDefaultView()"
          [user]="user"
        ></app-toolkit-configuration>
      </ng-container>
    </ng-container>
  </div>
</app-side-modal>
